clear all

* We create a variable country in each dataset dowloaded in DHS *

use "Type your own directory to the Bolivian sample"
gen country="bol"
compress
save "Type-your-own-directory\bol", replace

clear all
use "Type your own directory to the Brazilian sample"
gen country="bra"
compress
save "Type-your-own-directory\bra", replace

clear all
use "Type your own directory to the Cameroonian sample"
gen country="cam"
compress
save "Type-your-own-directory\cam", replace

clear all
use "Type your own directory to the Colombian sample"
gen country="col"
compress
save "Type-your-own-directory\col", replace

clear all
use "Type your own directory to the Dominican sample"
gen country="dom"
compress
save "Type-your-own-directory\dom", replace

clear all
use "Type your own directory to the Ecuadorean sample"
gen country="ecu"
compress
save "Type-your-own-directory\ecu", replace

clear all
use "Type your own directory to the Ghanean sample"
gen country="gha"
compress
save "Type-your-own-directory\gha", replace

clear all
use "Type your own directory to the Haitian sample"
gen country="hti"
compress
save "Type-your-own-directory\hti", replace

clear all
use "Type your own directory to the Indonesian sample"
gen country="idn"
compress
save "Type-your-own-directory\idn", replace

clear all
use "Type your own directory to the Kenyan sample"
gen country="ken"
compress
save "Type-your-own-directory\ken", replace

clear all
use "Type your own directory to the Cambodian sample"
gen country="khm"
compress
save "Type-your-own-directory\khm", replace

clear all
use "Type your own directory to the Liberian sample"
gen country="lbr"
compress
save "Type-your-own-directory\lbr", replace

clear all
use "Type your own directory to the Malian sample"
gen country="mli"
compress
save "Type-your-own-directory\mli", replace

clear all
use "Type your own directory to the Morrocan sample"
gen country="mar"
compress
save "Type-your-own-directory\mar", replace

clear all
use "Type your own directory to the Mexican sample"
gen country="mex"
compress
save "Type-your-own-directory\mex", replace

clear all
use "Type your own directory to the Malawian sample"
gen country="mwi"
compress
save "Type-your-own-directory\mwi", replace

clear all
use "Type your own directory to the Nicaraguan sample"
gen country="nic"
compress
save "Type-your-own-directory\nic", replace

clear all
use "Type your own directory to the Senegalese sample"
gen country="sen"
compress
save "Type-your-own-directory\sen", replace

clear all
use "Type your own directory to the Sierra-Leonean sample"
gen country="sle"
compress
save "Type-your-own-directory\sle", replace

clear all
use "Type your own directory to the Thai sample"
gen country="tha"
compress
save "Type-your-own-directory\tha", replace

clear all
use "Type your own directory to the Ugandan sample"
gen country="uga"
compress
save "Type-your-own-directory\uga", replace

clear all
use "Type your own directory to the Vietnamese sample"
gen country="vnm"
compress
save "Type-your-own-directory\vnm", replace

clear all
use "Type your own directory to the Peruvian sample"
gen country="per"
compress
save "Type-your-own-directory\per", replace

clear all
use "Type your own directory to the Rwandan sample"
gen country="rwa"
compress
save "Type-your-own-directory\rwa", replace

clear all
use "Type your own directory to the South-African sample"
gen country="zaf"
compress
save "Type-your-own-directory\zaf", replace

clear all
use "Type your own directory to the Zimbabwean sample"
gen country="zmb"
compress
save "Type-your-own-directory\zmb", replace


clear all
cd "Type your own directory to the folder containing your country specific datasets"
use "Type this directory here\bol"


set more off

append using bra cam, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using gha hti idn ken, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using khm mli mar, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using mex ecu tha, keep(v000 v201 v613 v106 v012 v005 country v367 v502 v505)
append using col, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using nic, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using per, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505) 
append using sen sle, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using uga vnm rwa, keep(v000 v201 v613 v621 v106 v012 v005 country v367 v502 v505)
append using dom lbr mwi zaf zmb, keep(v000 v201 v613 v106 v012 v005 v621 country v367 v502 v505)



save "Insert the directory where you want to save your new dataset\all.dta", replace
clear all






